CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug [Optionen]

Various command line interfaces useful for debugging calibre. With no options, this command starts an embedded Python interpreter. You can also run the main calibre GUI, the calibre E-book viewer and the calibre editor in debug mode.

It also contains interfaces to various bits of calibre that do not have dedicated command line tools, such as font subsetting, the E-book diff tool and so on.

You can also use calibre-debug to run standalone scripts. To do that use it like this: calibre-debug -e myscript.py -- --option1 --option2 file1 file2 ...

Everything after the -- is passed to the script. You can also use calibre-debug as a shebang in scripts, like this: #!/usr/bin/env -S calibre-debug -e -- --

Wann immer Sie Argumente mit Leerzeichen an calibre-debug weitergeben, müssen diese Argumente in Anführungsstriche gesetzt werden. Zum Beispiel: "/some path/with spaces"

[OPTIONEN]

--add-simple-plugin
    Eine einfache Erweiterung (d. h. eine nur aus einer *.py-Datei bestehende Erweiterung) hinzufügen durch Angabe des Pfads zur *.py-Datei, die den Erweiterungscode enthält.

--command, -c
    Python-Code ausführen.

--debug-device-driver, -d
    Fehlerdiagnose bei Geräteerkennung

--default-programs
    Calibre in Windows als Standardprogramm festlegen bzw. entfernen. --default-programs = (register|unregister)

--diff
    Calibre-Dateivergleichswerkzeug ausführen. Beispiel: calibre-debug --diff Datei1 Datei2

--edit-book
    Bucheditor im Fehlerdiagnosemodus starten.

--exec-file, -e
    Python-Code in der Datei ausführen.

--explode-book, -x
    Explode the book into the specified folder. Usage: -x file.epub output_dir Exports the book as a collection of HTML files and metadata, which you can edit using standard HTML editing tools. Works with EPUB, AZW3, HTMLZ and DOCX files.

--export-all-calibre-data
    Export all calibre data (books/settings/plugins). Normally, you will be asked for the export folder and the libraries to export. You can also specify them as command line arguments to skip the questions. Use absolute paths for the export folder and libraries. The special keyword "all" can be used to export all libraries. Examples: calibre-debug --export-all-calibre-data # for interactive use calibre-debug --export-all-calibre-data /path/to/empty/export/folder /path/to/library/folder1 /path/to/library2 calibre-debug --export-all-calibre-data /export/folder all # export all known libraries

--fix-multiprocessing
    Zur internen Verwendung

--gui, -g
    Ausführen der grafischen Benutzeroberfläche im Fehlerdiagnosemodus. Die Diagnoseausgabe wird an Stdout und Stderr ausgegeben.

--gui-debug
    Grafische Benutzeroberfläche mit einer Fehlerdiagnosekonsole ausführen und im angegebenen Verzeichnis protokollieren. Nur zur internen Verwendung. Verwenden Sie die Option "-g", um die Benutzeroberfläche im Fehlerdiagnosemodus auszuführen

--help, -h
    Diesen Hilfetext anzeigen und beenden.

--implode-book, -i
    Packen Sie ein zuvor entpacktes Buch. Verwendung: -i output_dir file.epub Importiert das Buch aus den Dateien in output_dir, die durch einen vorherigen Aufruf von --explode-book erstellt wurden. Achten Sie darauf, dass Sie den gleichen Dateityp angeben, der beim Entpacken verwendet wurde.

--import-calibre-data
    Zuvor exportierte Calibre-Daten importieren

--inspect-mobi, -m
    MOBI-Datei(en) im/in den angegebenen Verzeichnis(sen) untersuchen

--paths
    Ausgabe der für die Einrichtung von Calibres Umgebungsvariablen notwendigen Verzeichnispfade

--run-plugin, -r
    Run a plugin that provides a command line interface. For example: calibre-debug -r "Plugin name" -- file1 --option1 Everything after the -- will be passed to the plugin as arguments.

--run-test, -t
    Run the named test(s). Use the special value "all" to run all tests. If the test name starts with a period it is assumed to be a module name. If the test name starts with @ it is assumed to be a category name.

--run-without-debug
    Don't run with the DEBUG flag set

--shutdown-running-calibre, -s
    Eine laufende Calibre-Instanz - falls vorhanden - beenden. Beachten Sie, dass dabei ggf. laufende Aufträge ohne Rückfrage abgebrochen werden. Also bitte mit Vorsicht verwenden.

--subset-font, -f
    Angegebene eingebettete Schriftart reduzieren. Verwenden Sie -- nach dieser Option, um Optionen an das Programm für die Schriftartreduzierung zu übergeben.

--test-build
    Binäre Module des Builds überprüfen

--version
    Programmversion anzeigen und beenden

--viewer, -w
    eBook-Betrachter im Fehlerdiagnosemodus ausführen

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal